Skip to main content

Submit Repair Claim

POST 

/api/repairs/claims

Submit Repair Claim.

Required scope: repairs:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Request fields:

  • source (required): string, In:in:"loop","aftership","corso","claimlane","returngo","api"
  • external_id (required): string, max:120
  • order_reference (optional): string, max:120
  • channel (optional): string, max:40
  • customer_id (optional): integer, exists:customers,id
  • customer (optional): array
  • customer.email (optional): email:rfc, max:190
  • customer.name (optional): string, max:190
  • customer.phone (optional): string, max:40
  • warehouse_id (optional): integer, exists:warehouses,id
  • location (optional): string, max:190
  • inbound_method (optional): Enum:in:"customer_ships","drop_off","already_received","no_return_needed"
  • purchase (optional): array
  • purchase.date (optional): date_format:Y-m-d, before_or_equal:today
  • purchase.source (optional): Enum:in:"order","shopify","amazon","retail_store","wholesale_partner","gift","other"
  • purchase.retailer_name (optional): string, max:190
  • notes (optional): string, max:5000
  • notify_customer (optional): boolean
  • lines (required): array, min:1, max:100
  • lines.*.external_line_id (optional): string, max:120
  • lines.*.product_id (optional): integer
  • lines.*.sku (optional): string, max:190
  • lines.*.barcode (optional): string, max:190
  • lines.*.channel_product_id (optional): string, max:190
  • lines.*.quantity (optional): integer, min:1, max:10000
  • lines.*.serial_number (optional): string, max:190
  • lines.*.lot_number (optional): string, max:100
  • lines.*.reason (optional): string, max:255
  • lines.*.issue_type_ids (optional): array
  • lines.*.issue_type_ids.* (optional): integer, exists:repair_issue_types,id
  • lines.*.description (optional): string, max:5000
  • lines.*.product_text (optional): string, max:255
  • lines.*.requested_service (optional): Enum:in:"repair","replate","replace"
  • attachment_urls (optional): array, max:10
  • attachment_urls.* (optional): string, max:2048, url, starts_with:https://

Permission: repairs.create. Authentication: Bearer token with the repairs:read / write scope.

Request​

Responses​

OK

Response Headers
    Content-Type